#!/bin/bash

FES_POS_CONFIG_OLD="/opt/usr/pos/config"
FES_POS_CONFIG_NEW="/opt/nss/etc/fes"

CHANGED=1
NOT_CHANGED=0

#=====================================================================
ReNamePosConfig()
{
    oldConfigFileWithPath="$FES_POS_CONFIG_NEW/fes_cfg_pos-${1}"
    newConfigFileWithPath="$FES_POS_CONFIG_NEW/fes_${2}_cfg_pos-${1}"

    if [ -f "$oldConfigFileWithPath" ]
    then
	mv $oldConfigFileWithPath $newConfigFileWithPath
	echo "fes_cfg_pos-$1 is moved to fes_${2}_cfg_pos-${1}"
	return $CHANGED
    fi

    echo "fes_cfg_pos-${1} : no changed"
    return $NOT_CHANGED
}

#=====================================================================
CheckPosConfig()
{
    oldConfigFileWithPath="$FES_POS_CONFIG_OLD/${1}"
    newConfigFileWithPath="$FES_POS_CONFIG_NEW/fes_${2}_cfg_pos-${1}"

    if [ ! -f "$newConfigFileWithPath" ]
    then
	cp -f $oldConfigFileWithPath $newConfigFileWithPath
	rm -f $oldConfigFileWithPath
	echo "$1 is moved from $FES_POS_CONFIG_OLD to $FES_POS_CONFIG_NEW"
	return $CHANGED
    fi

    echo "${1} : no changed"
    return $NOT_CHANGED
}


#=====================================================================
isCfgChanged=$NOT_CHANGED

#=====================================================================
ReNamePosConfig "import.conf" "1st"
if [ "$?" -eq $CHANGED ]
then
    isCfgChanged=$CHANGED
fi

ReNamePosConfig "condext.conf" "2nd"
if [ "$?" -eq $CHANGED ]
then
    isCfgChanged=$CHANGED
fi

ReNamePosConfig "nlp.conf" "3rd"
if [ "$?" -eq $CHANGED ]
then
    isCfgChanged=$CHANGED
fi

#=====================================================================
CheckPosConfig "import.conf" "1st"
if [ "$?" -eq $CHANGED ]
then
    isCfgChanged=$CHANGED
fi

CheckPosConfig "condext.conf" "2nd"
if [ "$?" -eq $CHANGED ]
then
    isCfgChanged=$CHANGED
fi

CheckPosConfig "nlp.conf" "3rd"
if [ "$?" -eq $CHANGED ]
then
    isCfgChanged=$CHANGED
fi


#=====================================================================
if [ "$isCfgChanged" -eq $CHANGED ]
then
    echo "cfg should be saved to flash"
    /usr/sbin/savecfg
fi 

